Get device
curl --request GET \
--url https://managexrapi.com/v1/devices/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/v1/devices/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "12345678901234",
"serial": "12345678901234",
"name": "Training Room 1",
"mac": "CE:AF:07:47:E0:AE",
"model": "Quest 2",
"manufacturer": "Meta",
"notes": "Mounted in Room 5",
"batteryLevel": 87,
"batteryIsCharging": true,
"pauseUpdates": false,
"online": true,
"osVersion": "Android 12",
"outOfDate": true,
"registerDate": "2023-11-12T10:30:00Z",
"updating": false,
"factoryResetStatus": "NONE",
"firmwareVersion": "Oculus OS 46.0.0.230",
"configuration": {
"id": "sFidGmedeQofSBcvRcyn",
"name": "Training Configuration"
},
"tags": [
{
"id": "tag_abc123",
"name": "Lab Devices"
}
],
"tutorialModeEnabled": false,
"kioskModeOverride": true,
"lastSync": "2024-04-20T17:23:12Z",
"ram": {
"available": 2147483648,
"total": 4294967296
},
"storage": {
"available": 15728640000
},
"location": {
"city": "San Francisco",
"region": "California",
"country": "US",
"continent": "North America",
"timeZone": "America/Los_Angeles",
"longitude": -122.4194,
"latitude": 37.7749
},
"connectedWifiNetwork": {
"ssid": "ManageXR-Office"
},
"currentForegroundApp": {
"packageName": "com.my.app",
"title": "My Training App"
},
"controllerData": {
"controller0": {
"batteryLevel": 85,
"version": "v14"
},
"controller1": {
"batteryLevel": 82,
"version": "v14"
}
}
}
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Not found error",
"error": "ManageXR Error"
}Devices
Get Device
Retrieve a device by id (serial number)
GET
/
v1
/
devices
/
{id}
Get device
Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
Unique identifier (serial number) of the device
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Response
A device object
Full representation of a device managed in ManageXR
Show child attributes
Show child attributes
⌘I